import { BasLabelTempInput } from '../model/mesModel';
import { genAction, Api, genActionPage } from '../system';
import { defHttp } from '/@/utils/http/axios';
import { mesApi } from './mesApi';

/**
 * @description: 保存标签模板方法
 * @param {BasLabelTempInput} params
 * @return {*}
 */
export const SaveLabelTemplate = async (params: BasLabelTempInput) => {
  const data = await defHttp.post(
    { url: mesApi.SaveLabelTemplate, params: genAction('', params) },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
    },
  );
  return data;
};

/*
 * 删除标签模板
 */
export const DeleteLabelTemplate = async (params: string) => {
  const usParams = genAction('', params);
  return await defHttp.post(
    { url: mesApi.DeleteLabelTemplate, params: usParams },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
    },
  );
};
